CLANG-APPLY-REPLACEMENTS(1)

NAME
clang-apply-replacements - manual page for clang-apply-replacements 8

DESCRIPTION
USAGE: clang-apply-replacements [options] <Search Root Directory>

OPTIONS:

Formatting Options:

-format                   - Enable formatting of code changed by applying replacements.
    Use -style to choose formatting style.

-style=<string>           - Coding style, currently supports:
    LLVM, Google, Chromium, Mozilla, WebKit.

Use -style=file to load style configuration from
    .clang-format file located in one of the parent directories of the source file (or current directory for stdin). Use -style="{key: value, ...}" to set specific parameters, e.g.:

    -style="{BasedOnStyle: llvm, IndentWidth: 8}"

-style-config=<string>    - Path to a directory containing a .clang-format file
    describing a formatting style to use for formatting code when -style=file.

Generic Options:

-help - Display available options (-help-hidden for more)

-help-list - Display list of available options (-help-list-hidden for more)

-version - Display the version of this program

Replacement Options:

-remove-change-desc-files - Remove the change description files regardless of successful
    merging/replacing.